Subject: Re: bug#5937: 23.1.95; why saving empty abbrev tables

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Mar 2011 16:35:38 -0400

>> Actually, having tried it now for a while I do have an objection: it
>> makes it harder to add entries to an abbrev-table if that table
>> is empty.
>> 
>> So I think a better option is to sort the tables such that empty tables
>> are pushed to the end.

> I propose we allow C-u M-x edit-abbrevs to include all abbrev tables but
> default to include only nonempty tables.

I don't think we need such a thing.  We just need to make it clear what
those empty tables mean and keep them out of the way.  I.e. move them to
the end of the buffer and add a comment before them explaining that
these are currently empty.

        Stefan